VkVertexInputAttributeDescription Struct Reference

`#include <vulkan.h>`

## Data Fields

uint32_t | location
uint32_t | binding
VkFormat | format
uint32_t | offset

## Detailed Description

Definition at line 1948 of file vulkan.h.

## Field Documentation

## binding

uint32_t VkVertexInputAttributeDescription::binding

Definition at line 1950 of file vulkan.h.

## format

VkFormat VkVertexInputAttributeDescription::format

Definition at line 1951 of file vulkan.h.

## location

uint32_t VkVertexInputAttributeDescription::location

Definition at line 1949 of file vulkan.h.

## offset

uint32_t VkVertexInputAttributeDescription::offset

Definition at line 1952 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h